Iloo

https://iloo.wordpress.com

Archivos por Etiqueta: upgrade

Arch: error al actualizar xf86-video-intel / intel-dri

Arch-Linux

Hoy al actualizar Arch, obtengo lo siguiente en la consola:

...
xf86-video-intel: /usr/lib/libI810XvMC.so exists in filesystem
xf86-video-intel: /usr/lib/libI810XvMC.so.1 exists in filesystem
xf86-video-intel: /usr/lib/libI810XvMC.so.1.0.0 exists in filesystem
xf86-video-intel: /usr/lib/libIntelXvMC.so exists in filesystem
xf86-video-intel: /usr/lib/libIntelXvMC.so.1 exists in filesystem
xf86-video-intel: /usr/lib/libIntelXvMC.so.1.0.0 exists in filesystem
...

Después de realizar algunas configuraciones reinicio y el problema, no arranca el entorno grafico.

La salida que se muestra es la siguiente:

...
Loading extension GLX
xinit: giving up
xinit: unable to connect to X server: Connection refused
xinit: server error

Imagino que debe ser alguna dependencia al actualizar algunas paquetes, procedo a reinstalar xf86-video-intel e intel-dri y la misma salida anterior.

La solución, primero verificar los archivos que producen el error, verificar que no pertenezcan a ningón otro paquete:

pacman -Qo /usr/lib/libI810XvMC.so

Una vez verificado que no pertenece a ninguno se procede a borrarlo

rm /usr/lib/libI810XvMC.so

Y volver a instalar los paquetes en cuestion:

pacman -S xf86-video-intel intel-dri
Anuncios

Amarok: GREPME MySQLe query failed! (2000) on init

amarok-logo

Un error al iniciar Amarok en Arch:

The amarok database reported the following errors:
GREPME MySQLe query failed! (2000) on init
In most cases you will need to resolve these errors before Amarok will run properly.

Después de mucho leer, buscar y probar di por casualidad con la solución y esta es actualizar mysql por mariadb.

En consola:

systemctl stop mysqld
pacman -S mariadb libmariadbclient mariadb-clients
systemctl start mysqld
mysql_upgrade -p

Más info aquí.

emesene: no muestra ‘lo que estoy escuchando’ en Exaile (3)

Una solución definitiva a este problema es usar la versión ppa de emenese, ya que esta se actualiza constantemente y se arreglan problemas y errores que pueda tener el programa.

Para hacerlo primero se debe añadir el repositorio ppa, desde consola:

sudo add-apt-repository ppa:bjfs/ppa

Luego actualizar la lista de programas disponibles:

sudo apt-get update

Finalmente actualizar los paquetes:

sudo apt-get upgrade

Ubuntu 10.04: instalar impresora Canon PIXMA iP1600

Acabo de actualizar mi versión de ubuntu de la 9.10 a la 10.04 LTS al principio la impresora funcionaba bien hasta que actualicé el sistema (ubuntu 10.04 Lucid Lynx) y hoy al querer imprimir pues nada, la impresora no respondía, primero lo primero, revisar las conexiones, las configuraciones y todo parecía estar bien. Entonces lo que sigue sería reinstalar el driver antes ya había publicado una entrada de como realizar esto en la versión 9.10 de ubuntu que se encuentra aquí: enlace.

La instalación es casi la misma solo tiene algunos ligeros cambios, pero vamos:

1. Instalamos los programas necesarios, en consola escribimos:

sudo apt-get install alien libxml2

2. Descargamos el driver (es para la impresora iP2200 pero funciona para esta impresora), en consola usando wget:

wget http://software.canon-europe.com/files/soft24301/software/iP2200_Linux_260.tar.gz

3. Ahora descomprimos el archivo, seguimos en consola:

tar -zxf iP2200_Linux_260.tar.gz

3. Se habrá creado un nuevo directorio llamado iP2200_Linux_260, seguimos en consola:

cd iP2200_Linux_260

4. Convertimos todos los paquetes rpm en deb con alien:

sudo alien *i386.rpm

5. Instalamos los paquetes convertidos:

sudo dpkg -i *.deb

6. Creamos los enlaces simbólicos:

cd /usr/lib
sudo ln -s /lib/libpng12.so.0 libpng.so.3
sudo ln -s libtiff.so.4 libtiff.so.3
sudo ln -s libxml2.so.2 libxml.so.1
sudo ldconfig

7. Este paso es muy importante a diferencia del anterior post, recuerdo que seguimos en consola:

cd /usr/share/cups/model
sudo gedit canonip2200.ppd

8. La configuración de la calidad de impresión y demás, en el archivo que abrimos con gedit después de:

*OpenUI *InputSlot/Paper Feed: PickOne
*DefaultInputSlot: asf
*InputSlot asf/Auto Feeder: ""
*CloseUI: *InputSlot

Añadir esto:

*OpenUI *CNQuality/Quality: PickOne
*DefaultCNQuality: 3
*CNQuality 2/High: "2"
*CNQuality 3/Normal: "3"
*CNQuality 4/Standard: "4"
*CNQuality 5/Economy: "5"
*CloseUI: *CNQuality

9. Reemplazar:

*OpenUI *Resolution/Output Resolution: PickOne
*DefaultResolution: 600
*Resolution 600/600 dpi: "<</HWResolution[600 600]>>setpagedevice"
*CloseUI: *Resolution

Con:

*OpenUI *Resolution/Output Resolution: PickOne
*DefaultResolution: 600
*Resolution 600/600 dpi: "<</HWResolution[600 600]>>setpagedevice"
*Resolution 1200/1200 dpi: "<</HWResolution[1200 1200]>>setpagedevice"
*Resolution 2400/2400 dpi: "<</HWResolution[2400 2400]>>setpagedevice"
*CloseUI: *Resolution

10. Ahora en consola reinicamos el servicio de impresión:

sudo /etc/init.d/cups restart

11. Finalmente solo queda agregar una nueva impresora: Sistema -> Administración -> Impresoras. Para la impresora el Fabricante es Canon, el driver se llama iP2200 Ver.2.6.

Con esto logre hacer funcionar nuevamente mi impresora, espero que se de ayuda para todos.